svn commit: samba r8314 - in branches/SAMBA_4_0/source: build/smb_build script

tridge at samba.org tridge at samba.org
Mon Jul 11 05:43:28 GMT 2005


Author: tridge
Date: 2005-07-11 05:43:27 +0000 (Mon, 11 Jul 2005)
New Revision: 8314

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8314

Log:
- added an 'installmisc' target for installing miscellaneous files.

- install our provisioning template files in lib/setup/

We need these to be installed as users may wish to re-provision after
installation, or may not have the source tree (wuch as when installing
from binary packages)

Added:
   branches/SAMBA_4_0/source/script/installmisc.sh
Modified:
   branches/SAMBA_4_0/source/build/smb_build/makefile.pm
   branches/SAMBA_4_0/source/script/installswat.sh


Changeset:
Modified: branches/SAMBA_4_0/source/build/smb_build/makefile.pm
===================================================================
--- branches/SAMBA_4_0/source/build/smb_build/makefile.pm	2005-07-11 04:17:54 UTC (rev 8313)
+++ branches/SAMBA_4_0/source/build/smb_build/makefile.pm	2005-07-11 05:43:27 UTC (rev 8314)
@@ -669,7 +669,7 @@
 		bin/gwsam \
 		bin/gepdump
 
-install: showlayout installbin installtorture installldb installreg installdat installswat installgtk
+install: showlayout installbin installtorture installldb installreg installdat installswat installmisc installgtk
 
 # DESTDIR is used here to prevent packagers wasting their time
 # duplicating the Makefile. Remove it and you will have the privilege
@@ -704,6 +704,9 @@
 installswat: installdirs
 	@$(SHELL) $(srcdir)/script/installswat.sh $(DESTDIR)$(SWATDIR) $(srcdir) $(DESTDIR)$(LIBDIR)
 
+installmisc: installdirs
+	@$(SHELL) $(srcdir)/script/installmisc.sh $(srcdir) $(DESTDIR)$(LIBDIR)
+
 installman: installdirs
 	@$(SHELL) $(srcdir)/script/installman.sh $(DESTDIR)$(MANDIR) $(MANPAGES)
 

Added: branches/SAMBA_4_0/source/script/installmisc.sh
===================================================================
--- branches/SAMBA_4_0/source/script/installmisc.sh	2005-07-11 04:17:54 UTC (rev 8313)
+++ branches/SAMBA_4_0/source/script/installmisc.sh	2005-07-11 05:43:27 UTC (rev 8314)
@@ -0,0 +1,19 @@
+#!/bin/sh
+# install miscellaneous files
+
+SRCDIR=$1
+LIBDIR=$2
+
+cd $SRCDIR || exit 1
+
+echo "Installing js libs"
+mkdir -p $LIBDIR/js || exit 1
+cp scripting/libjs/*.js $LIBDIR/js || exit 1
+
+echo "Installing setup templates"
+mkdir -p $LIBDIR/setup || exit 1
+cp setup/*.ldif $LIBDIR/setup || exit 1
+cp setup/*.zone $LIBDIR/setup || exit 1
+cp setup/*.conf $LIBDIR/setup || exit 1
+
+exit 0


Property changes on: branches/SAMBA_4_0/source/script/installmisc.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: branches/SAMBA_4_0/source/script/installswat.sh
===================================================================
--- branches/SAMBA_4_0/source/script/installswat.sh	2005-07-11 04:17:54 UTC (rev 8313)
+++ branches/SAMBA_4_0/source/script/installswat.sh	2005-07-11 05:43:27 UTC (rev 8314)
@@ -27,12 +27,6 @@
 installdir style/*.css
 installdir docs/*.js
 
-
-echo "Installing js libs"
-cd ../source/scripting || exit 1
-mkdir -p $LIBDIR/js
-cp libjs/*.js $LIBDIR/js
-
 cat << EOF
 ======================================================================
 The swat files have been installed. 



More information about the samba-cvs mailing list